from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XDragSourceListener(XEventListener, Protocol):
    def dragDropEnd(self, dsde: DragSourceDropEvent) -> None: ...
    def dragEnter(self, dsde: DragSourceDragEvent) -> None: ...
    def dragExit(self, dse: DragSourceEvent) -> None: ...
    def dragOver(self, dsde: DragSourceDragEvent) -> None: ...
    def dropActionChanged(self, dsde: DragSourceDragEvent) -> None: ...
